org.apache.cassandra.io.util

## Class DataIntegrityMetadata.ChecksumWriter

- java.lang.Object
- - org.apache.cassandra.io.util.DataIntegrityMetadata.ChecksumWriter

Enclosing class:
  DataIntegrityMetadata

    public static class DataIntegrityMetadata.ChecksumWriter
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ChecksumWriter(java.io.DataOutput incrementalOut)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `appendDirect(java.nio.ByteBuffer bb, boolean checksumIncrementalResult)`
`void` `writeChunkSize(int length)`
`void` `writeFullChecksum(Descriptor descriptor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ChecksumWriter

    public ChecksumWriter(java.io.DataOutput incrementalOut)

### Method Detail

#### writeChunkSize

    public void writeChunkSize(int length)

#### appendDirect

    public void appendDirect(java.nio.ByteBuffer bb,
                             boolean checksumIncrementalResult)

#### writeFullChecksum

    public void writeFullChecksum(Descriptor descriptor)